lp:~lynxman/ubuntu/precise/puppet/puppetlabsfixbug12844

Created by Marc Cluet on 2012-03-07 and last modified on 2012-03-16
Get this branch:
bzr branch lp:~lynxman/ubuntu/precise/puppet/puppetlabsfixbug12844
Only Marc Cluet can upload to this branch. If you are Marc Cluet please log in for upload directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Marc Cluet
Status:
Development

Recent revisions

64. By Marc Cluet on 2012-03-16

* Correct patch DEP3 header format

63. By Marc Cluet on 2012-03-16

* Added patch for puppet 12844

62. By Marc Cluet on 2012-03-16

* Added patch to solve puppetlabs bug #12844
  - Reverts behaviour of agent lockfiles
  - Fixes unit test to readmit old behaviour
* debian/puppetmaster-passenger.postinst (LP: #948983)
  - Fixed rack directory location
  - Added proper enabling of apache2 headers mod
* debian/puppetmaster-passenger.postinst (LP: #950183)
  - Make sure we error if puppet config print doesn't work

61. By Micah Anderson on 2012-02-23

* New upstream release
* Urgency set to high due to regressions in previous release
  and security vulnerabilities
* Execs when run with a user specified, but no group, get the root
  group. Similarly unexpected privileges are given to providers and
  types (egid remains as root), this is fixed with a patch from
  upstream (CVE-2012-1053)
* Fix Klogin write through symlink (CVE-2012-1054)

60. By Colin Watson on 2012-02-14

Use maintscript support in dh_installdeb rather than writing out
dpkg-maintscript-helper commands by hand. We now simply Pre-Depend on a
new enough version of dpkg rather than using 'dpkg-maintscript-helper
supports' guards, leading to more predictable behaviour on upgrades.

59. By Stig Sandbeck Mathisen on 2012-01-26

* New upstream release
* Update breaks/replaces for puppetmaster-common (Closes: #656962)
* Add systemd services for puppet agent and master

58. By Colin Watson on 2012-02-12

Use maintscript support in dh_installdeb rather than writing out
dpkg-maintscript-helper commands by hand. We now simply Pre-Depend on a
new enough version of dpkg rather than using 'dpkg-maintscript-helper
supports' guards, leading to more predictable behaviour on upgrades.

57. By Chuck Short on 2011-12-21

* Merge from Debian testing. Remaining changes:
  + Add 2 patches to fix incompatibility with Augeas 0.10.0:
    - augeas_saved_files
    - augeas_versioncmp
  + Change Maintainer according to policy

56. By Raphaƫl Pinson on 2011-12-20

* Add 2 patches to fix incompatibility with Augeas 0.10.0:
    - augeas_saved_files
    - augeas_versioncmp
* Change Maintainer according to policy.

55. By Stig Sandbeck Mathisen on 2011-10-22

* New upstream release (CVE-2011-3872)
* Remove cherry-picked "groupadd_aix_warning" patch
* Install all new manpages

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/precise/puppet
This branch contains Public information 
Everyone can see this information.

Subscribers